Bug 186971 - [devd] [patch] install /etc/devd/zfs.conf if WITH_ZFS is set
Summary: [devd] [patch] install /etc/devd/zfs.conf if WITH_ZFS is set
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 04:20 UTC by Enji Cooper
Modified: 2015-02-05 10:26 UTC (History)
0 users

See Also:


Attachments
file.txt (1.31 KB, text/plain)
2014-02-23 04:20 UTC, Enji Cooper
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2014-02-23 04:20:00 UTC
r261894 moved all of the ZFS devd rules out of devd.conf into zfs.conf.

The attached patch enhances r261894 by only installing zfs.conf if WITH_ZFS is specified.

Fix: Patch attached with submission follows:
Comment 1 commit-hook freebsd_committer 2014-08-15 21:35:43 UTC
A commit references this bug:

Author: ngie
Date: Fri Aug 15 21:35:32 UTC 2014
New revision: 270028
URL: http://svnweb.freebsd.org/changeset/base/270028

Log:
  Make the USB and ZFS devd configuration files optional depending on the
  values of MK_USB/MK_ZFS

  Making zfs.conf optional resolves PR # 186971

  PR: 186971
  Phabric: D606
  Approved by: jmmv (mentor)
  Sponsored by: EMC / Isilon Storage Division

Changes:
  head/etc/devd/Makefile
  head/tools/build/mk/OptionalObsoleteFiles.inc
Comment 2 Enji Cooper freebsd_committer 2014-08-15 21:39:37 UTC
Sidenote: MFCing r270028 would require adjusting src.opts.mk to bsd.own.mk. I'm closing the PR because I was the only driver for this change.
Comment 3 commit-hook freebsd_committer 2015-02-05 10:21:49 UTC
A commit references this bug:

Author: ngie
Date: Thu Feb  5 10:21:22 UTC 2015
New revision: 278244
URL: https://svnweb.freebsd.org/changeset/base/278244

Log:
  MFC r270028:

  r270028:

    Make the USB and ZFS devd configuration files optional depending on the
    values of MK_USB/MK_ZFS

    Making zfs.conf optional resolves PR # 186971

    PR: 186971
    Phabric: D606
    Approved by: jmmv (mentor)
    Sponsored by: EMC / Isilon Storage Division

Changes:
_U  stable/10/
  stable/10/etc/devd/Makefile
  stable/10/tools/build/mk/OptionalObsoleteFiles.inc
Comment 4 commit-hook freebsd_committer 2015-02-05 10:26:51 UTC
A commit references this bug:

Author: ngie
Date: Thu Feb  5 10:26:25 UTC 2015
New revision: 278245
URL: https://svnweb.freebsd.org/changeset/base/278245

Log:
  MFstable/10 r278244:

    MFC r270028:

      Make the USB and ZFS devd configuration files optional depending on the
      values of MK_USB/MK_ZFS

      Making zfs.conf optional resolves PR # 186971

      PR: 186971
      Phabric: D606
      Approved by: jmmv (mentor)
      Sponsored by: EMC / Isilon Storage Division

Changes:
_U  stable/9/
_U  stable/9/etc/
  stable/9/etc/devd/Makefile
_U  stable/9/tools/
_U  stable/9/tools/build/
  stable/9/tools/build/mk/OptionalObsoleteFiles.inc